%define _name gdesklets
%define package ExternIP

Name: gdesklets-sensors-%package
Version: 0.2
Release: alt0.1

Summary: %package is a %_name sensor to get the external IP of computer
License: GPL
Group: Graphical desktop/GNOME
Url: http://%name.gnomedesktop.org

Source: %package-%version.tar.bz2

BuildArch: noarch

Provides: gdesklets-displays-%package

%define gdesklets_ver 0.24
BuildRequires: python

PreReq: %_name >= %gdesklets_ver 

%description
gDesklets provides an advanced architecture for desktop applets -- tiny
displays sitting on your desktop in a symbiotic relationship of eye
candy and usefulness.

This package provides sensor and very simple display to get the external
IP of your computer.

%define gdesklets_sensors_dir %_datadir/%_name/Sensors
%define gdesklets_displays_dir %_datadir/%_name/Displays

%prep
%setup -q -c %_name
tar -jxf %SOURCE0

%install
%__mkdir_p %buildroot{%gdesklets_sensors_dir,%gdesklets_displays_dir}
./*.bin --nomsg %buildroot%gdesklets_sensors_dir

%__cp Displays/* %buildroot%gdesklets_displays_dir/

%files
%gdesklets_sensors_dir/*
%gdesklets_displays_dir/*

%changelog
* Mon Nov 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2-alt0.1
- First build for Sisyphus.

